<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Show Recipe</title>

    <link rel="stylesheet" type="text/css" media="all" href="../../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" />
		
		<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="com.tcs.recipe.model.Recipe"*/-->



	<div class="container-fluid" style="margin-top: 20px">
		<!-- <div class="row">
				<div class="col-lg-12">
					<img class="fr_objfitimg lazy-loaded" src="../../static/images/header.jpg" th:src="@{'/images/header.jpg'}" width="1500" height="336"/>
				</div>
			</div> -->
		<div class="row">
			<div class="col-lg-12">
				<div class="panel panel-primary">

					<div class="panel-heading">
						<h2 class="panel-title" th:text="${recipe.title}">Recipe Title!</h2>
						<h3 class="panel-title" th:text="${recipe.description}">Recipe Description Here!</h3>
					</div>
				</div>
			</div>
		</div>
		<!-- <div class="row">
			<div class="col-md-6">
				<div class="panel panel-primary">
					<div class="panel-body">
						<div class="row">
							<div class="col-md-3">
								<h5>Servings:</h5>
							</div>
							<div class="col-md-3">
								<p th:text="${recipe.noOfPeopleServing}">4</p>
							</div>
						</div>

						<div class="panel-body">

							<div class="row">
							<table>
								<tr class="col-md-6 table-primary">
										<td><a class="btn btn-default" href="#" th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/ingredients'}" ><h5 class="panel-title">Ingredients</h5></a></td>
								</tr>
								<tr class="col-md-1"> 
									<td><a class="btn btn-default" href="#" th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/ingredients'}"  role="button">View</a></td>
								</tr>
							</table>
							</div>

							<div class="row">
								<div class="col-md-6">
									<ul>
										<li th:remove="all">1 Cup of milk</li>
										<li th:remove="all">1 Teaspoon of chocolate</li>
										<li th:each="ingredient : ${recipe.ingredients}" th:text="${(ingredient.getPortion() + ' - ' + ingredient.getDesc())}">1 Teaspoon of Sugar</li>
									</ul>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
			<div class="col-lg-6">
				<div class="panel panel-primary">
					<div class="panel-body">
						<div class="col-md-1">
							<a class="btn btn-default" href="#" th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/image'}" role="button">Change Image</a>
						</div>
					</div>
				</div>

				<img src="../../static/images/guacamole400x400WithX.jpg"  th:src="@{'/mvcResources/recipe/' + ${recipe.id} + '/recipeimage'}" width="400" height="500">

			</div>
		</div> -->
		
		<div class="row">
          <div class="col-lg-4">
            <div class="bs-component">
            <a class="btn btn-default" href="#" th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/image'}" role="button"> <p class="text-success">Change Image</p></a>
              <img src="../../static/images/guacamole400x400WithX.jpg"  th:src="@{'/mvcResources/recipe/' + ${recipe.id} + '/recipeimage'}" width="400" height="500">
            </div>
          </div>
          <div class="col-lg-4">
            <div class="bs-component">
              <a class="btn btn-default" href="#" th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/ingredients'}" ><p class="text-info">Ingredients</p></a></td>
              <div class="row">
					<ul>
						<li th:remove="all">1 Cup of milk</li>
						<li th:remove="all">1 Teaspoon of chocolate</li>
						<li th:each="ingredient : ${recipe.ingredients}" th:text="${(ingredient.getPortion() + ' - ' + ingredient.getDesc())}">1 Teaspoon of Sugar</li>
					</ul>
			</div>
            </div>

          </div>
          <div class="col-lg-4">
            <div class="bs-component">
            <div class="row">
            	<div class="col-md-4">
              		<p class="text-success">Servings:</p>
           		</div>
           		<div class="col-md-4">
           			<p class="text-warning" th:text="${recipe.noOfPeopleServing}">4</p>
       			</div>
            </div>  
           
            <br>
            <div class="row">  
				<div class="col-md-4">
					<img th:if="${recipe.isVeg()}" src="../../static/images/vegLogo.png" th:src="@{'/images/vegLogo.png'}" width="50" height="50"/>
				</div>
				
				<div class="col-md-4">
					<img th:if="${!(recipe.isVeg())}" src="../../static/images/nonVegLogo.png" th:src="@{'/images/nonVegLogo.png'}" width="50" height="50"/>
				</div>
            </div>
            <br>

			<div class="bs-component">
			<div class="row">
				<div class="col-md-4">
             		<p class="text-success">Date Of Creation:</p>
          		</div>
          		<div class="col-md-6">
	              	<p class="text-warning" th:text="${recipe.dateOfCreation}">10/10/2019</p>
              	</div>
             </div>
            </div>
          </div>
        </div>
		
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">Directions</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-12">
							<p th:text="${recipe.directions}">test directions</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>




	<!-- <div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="pannel-group">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-md-3">
                                <h1 class="panel-title" th:text="${recipe.description}">Recipe Description Here!</h1>
                            </div>

                            <div class="col-md-1">
                                <a class="btn btn-default" href="#"
                                   th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/image'}" role="button">Change Image</a>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body">
	                        <div class="row">
	                            <img th:if="${recipe.isVeg()}" src="../../static/images/vegLogo.png" th:src="@{'/images/vegLogo.png'}" />
                            </div>
                            <div class="col-md-6">
                                <img src="../../static/images/guacamole400x400WithX.jpg"
                                     th:src="@{'/mvcResources/recipe/' + ${recipe.id} + '/recipeimage'}"
                                     width="200" height="200">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <h5>Servings:</h5>
                            </div>
                            <div class="col-md-3">
                                <p th:text="${recipe.noOfPeopleServing}">4</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-md-11 ">
                                <h1 class="panel-title">Ingredients</h1>
                            </div>
                            <div class="col-md-1">
                                <a class="btn btn-default" href="#"
                                   th:href="@{'/mvcResources/recipe/' + ${recipe.id} + '/ingredients'}" role="button">View</a>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <ul>
                                    <li th:remove="all">1 Cup of milk</li>
                                    <li th:remove="all">1 Teaspoon of chocolate</li>
                                    <li th:each="ingredient : ${recipe.ingredients}"
                                        th:text="${(ingredient.getPortion() +
                                        ' - ' + ingredient.getDesc())}">1 Teaspoon of Sugar
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h1 class="panel-title">Directions</h1>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <p th:text="${recipe.directions}">test directions</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> -->
</body>
</html>